Welcome to HPE's interactive Canonical Ubuntu minimum operating system requirements webpage for HPE Servers.

Just click on the server to obtain driver downloads, certification and support information.

HPE is committed to supporting all customers that install the supported LTS versions of Ubuntu and latest security releases for Canonical.

Click on the product to obtain product information, downloads, certifications, and documentation.

Support & Certification Matrices

Legend

HPE Supported
HPE Supported & OS Partner Certified/Logo
HPE Tested: Either the OS or hypervisor was successfully installed on the server
Pending HPE support
Partner Certification Pending

Minimum Operating System Requirements Matrices

Minimum Operating System Requirements Matrix includes minimum supported version for each supported HPE server. In addition, footnotes are available providing more detailed information.

To access the Minimum Operating System Requirements Matrix click on the links below:

Related Resources

HPE and Canonical Support

HPE Supported - HPE provides support for HPE hardware and HPE delivered firmware/software.

HPE Supported & OS Partner Certified/Logo - HPE server qualifies for an Ubuntu Advantage support contract that can be purchased from HPE (www.hpe.com/servers/ubuntuservers) providing Ubuntu Server support on certified HPE Servers.

Ubuntu Releases

Canonical has committed to scheduled Ubuntu releases on a predictable six-month basis. Every fourth release, issued on a two-year basis, receives long-term support (LTS). LTS releases are typically used for commercial or large-scale deployments. Interim OS releases will not be officially certified by Canonical.

NOTE: The B140i storage controller (HPDSA) driver v1.2.4-140 is ONLY supported with Ubuntu 14.04.1 LTS (v3.13.x) kernel. Please use AHCI Mode with newer Hardware Enabled Kernels (HWE). Future platforms with the Dynamic RAID controller will be certified using AHCI SATA mode.

For hardware RAID use the p-Series or H-Series storage controllers or software RAID included with the distribution.

PLEASE NOTE: Minimum support includes all future updates of the indicated LTS release unless a maximum is listed. (Example: Ubuntu 14.04 implies support for Ubuntu 14.04.x on the Trusty kernel (v3.13.xx). HWE kernels are not specifically supported, unless indicated as a minimum)
No results found for the current selections
Moonshot Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
Moonshot Server Ubuntu 12.04 1 1 Kernel update v3.2.0-40
m300 Server Cartridge Ubuntu 12.04.4 1 1 Kernel update 3.11.0-17-generic
m350 Server Cartridge Ubuntu 14.04.1
Ubuntu 12.04.5
m400 Server Cartridge Ubuntu 14.04.1 + SRU (3.13.0-40.69)1,2,3

1OS is factory preinstalled. 1 year of Ubuntu Server 9x5 support is included with every Moonshot chassis.

2The current m400 OS version does not include kexec/kdump capabilities. We are working with Canonical to identify upstream changes to introduce these capabilities on ARM64.

3The current m400 OS does not include cpufreq controls. Canonical is working to resolve this in a future OS revision.

m700 Server Cartridge Ubuntu 14.04.1
m710 Server Cartridge Ubuntu 14.04.1
Ubuntu 12.04.5
m710p Server Cartridge Ubuntu 14.04.3
m800 Server Cartridge Ubuntu 14.04.1 + SRU (3.13.0-18.29-keystone)1 113.13.0-18.29-keystone supports the 3.125Gb SRIO.
ProLiant Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
MicroServer Gen8 Ubuntu 14.04 2
Ubuntu 12.04.02 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
BL Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
BL420c Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2400v2 Series

Ubuntu 12.04.3
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
BL460c Gen8 Ubuntu 16.04
Ubuntu 14.04
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3
 
BL460c Gen9 Ubuntu 16.04
Ubuntu 14.04
Ubuntu 14.04.21
Ubuntu 12.04.5

1The Minimum supported OS version for HP Smart Array P244br/ HP Smart HBA H244br in HBA mode is Ubuntu 14.04.2

The HP Flexfabric 10Gb 2-port 536 FLB adapter requires Ubuntu 14.04.1/12.04.5 + SRU (kernel v3.13.0.37) to enable both NIC ports with Virtual Connect.

BL465c Gen8 Ubuntu 14.04
Ubuntu 12.04
 
DL Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
DL60 Gen9 Ubuntu 14.04  
DL80 Gen9 Ubuntu 14.04  
DL120 Gen9 Ubuntu 14.04  
DL160 Gen8 Ubuntu 14.04 3
Ubuntu 12.04 1, 2

1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.

2 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.

3 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.

DL160 Gen9 Ubuntu 16.04
Ubuntu 14.04
 
DL180 Gen9 Ubuntu 16.04
Ubuntu 14.041
 
DL320e Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
DL320e Gen8 v2 Ubuntu 14.04 2
Ubuntu 12.04.02 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
DL360e Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2400v2 Series

Ubuntu 12.04.3
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
DL360p Gen8 Ubuntu 14.04
Ubuntu 12.04

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3 1
1 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.
DL360 Gen9 Ubuntu 16.04
Ubuntu 14.04
 
DL380e Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2400v2 Series

Ubuntu 12.04.3
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
DL380p Gen8 Ubuntu 14.04
Ubuntu 12.04

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3 1
1 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.
DL380 Gen9 Ubuntu 16.04
Ubuntu 14.04
Ubuntu 12.04.51

1 The Minimum supported Precise OS version is Ubuntu 12.04.5 (kernel update v3.13.0-32.57)

DL385p Gen8 Ubuntu 14.04
Ubuntu 12.04 1
1 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.
ML Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
ML150 Gen9 Ubuntu 14.04  
ML310e Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
ML310e Gen8 v2 Ubuntu 14.04 2
Ubuntu 12.04.02 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
ML350e Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
ML350e Gen8 v2 Ubuntu 14.04 2
Ubuntu 12.04.3 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
ML350p Gen8 Ubuntu 14.04
Ubuntu 12.04

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3
 
ML350 Gen9 Ubuntu 16.04
Ubuntu 14.04
 
SL Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
SL210t Gen8 Ubuntu 14.04 2
Ubuntu 12.04.3 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.
SL230s Gen8 Ubuntu 14.04 3
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3 2

1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.

2 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.

3 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.

SL250s Gen8 Ubuntu 14.04 3
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3 2

1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.

2 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.

3 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.

SL270s Gen8 Ubuntu 14.04 3
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2600v2 Series

Ubuntu 12.04.3 2

1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.

2 The HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter does not support iSCSI and FCoE installations on Ubuntu. The minimum supported OS for the HP Flexfabric 10Gb 2-port 526 FLR-SFP+ adapter is 12.04.3.

3 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.

SL4540 Gen8 Ubuntu 14.04 2
Ubuntu 12.04 1

Intel® Xeon® Processor E5-2400v2 Series

Ubuntu 12.04.3
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.

2 The HP Dynamic Smart Array B110i/B120i/B320i controller for Ubuntu 14.04 is not supported. Use AHCI SATA mode instead.

XL Series (Apollo Family) Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
XL170r Gen9 (Apollo 2000) Ubuntu 14.04.1  
XL190r Gen9 (Apollo 2000) Ubuntu 16.04
Ubuntu 14.04.1
 
XL220a Gen8 v2 (Apollo 6000) Ubuntu 14.04
XL230a Gen9 (Apollo 6000) Ubuntu 14.04  
XL250a Gen9 (Apollo 6000) Ubuntu 14.04.1  
XL420 Gen9 (Apollo 4200) Ubuntu 16.04
Ubuntu 14.04.1
 
XL450 Gen9 (Apollo 4500) Ubuntu 16.04
Ubuntu 14.04.1
 
BL Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
BL2x220c G7 Ubuntu 12.04  
BL460c G7 Ubuntu 14.04
Ubuntu 12.04
 
BL465c G7 Ubuntu 14.04
Ubuntu 12.04
 
BL490c G7 Ubuntu 14.04
Ubuntu 12.04
 
DL Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
DL120 G7 Ubuntu 12.04 1 1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
DL165 G7 Ubuntu 14.04
Ubuntu 12.04 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
DL360 G7

Ubuntu 14.04

Ubuntu 12.04 1

Ubuntu 10.04

1The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
DL380 G7 Ubuntu 14.04
Ubuntu 12.04
Ubuntu 10.04
 
DL385 G7 Ubuntu 14.04
Ubuntu 12.04
Ubuntu 10.04
 
ML Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
ML110 G7 Ubuntu 12.04 1 1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
SL Series Technical Exceptions
Minimum Supported Ubuntu Updates Footnotes
SL165s G7 Ubuntu 12.04 1 1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
SL335s G7 Ubuntu 14.04
Ubuntu 12.04 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
SL390s G7 Ubuntu 12.04 1 1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
SL4545 G7 Ubuntu 14.04
Ubuntu 12.04 1
1 The HP Dynamic Smart Array B110i/B120i/B320i controller driver for Ubuntu 12.04 is not available. The Ubuntu 12.04 certification was completed in SATA mode.
No results found for the current selections
PLEASE NOTE: Minimum support includes all future updates of the indicated release unless a maximum is listed. (Example: Ubuntu 12.04 implies support for Ubuntu 12.xx, unless it's specifically called out in the notes as "not supported with 12.xx")
PLEASE NOTE: Minimum support includes all future updates of the indicated release unless a maximum is listed. (Example: Ubuntu 12.04 implies support for Ubuntu 12.xx, unless it's specifically called out in the notes as "not supported with 12.xx")